<jds-bi-modal
  #modal
  [id]="modalId"
>
  <ng-container ngProjectAs="header">
    <h6>Lacak</h6>
    <button
      class="t-button-close"
      (click)="closeModal()"
      role="button"
      type="button"
    >
      <jds-bi-icon
        [size]="14"
        name="xmark"
      />
    </button>
  </ng-container>
  <ng-container ngProjectAs="body">
    @if (historyData) {
      @if (historyData; as history) {
        @switch (history.status) {
          @case ('loading') {
            <ng-container *ngTemplateOutlet="skeleton" />
          }
          @case ('success') {
            <ul [ngClass]="jds.timeline">
              @for (item of history.data.list; track $index) {
                <li>
                  <h6 [ngClass]="[jds.fs(16), jds.mb(5)]">
                    {{ getStatusName(item.category) }}
                  </h6>
                  <div [ngClass]="[jds.text('muted')]">
                    {{
                      moment(item.datetime)
                        .locale('id')
                        .format('DD MMMM YYYY &nbsp; HH:mm')
                    }}
                  </div>

                  @if (item.notes) {
                    <p [ngClass]="[jds.mb(0), jds.mt(8)]">
                      {{ item.notes }}
                    </p>
                  }

                  @if (satudataUser.role_name === 'walidata') {
                    @if (item.name) {
                      <div [ngClass]="jds.mt(8)">[{{ item.user_name }}]</div>
                    }
                  }
                </li>
              }
            </ul>
          }
        }
      }
    }
  </ng-container>
</jds-bi-modal>

<ng-template #skeleton>
  @for (number of [20, 80, 30, 50]; track $index) {
    <div class="wrapper-skeleton">
      <ngx-skeleton-loader
        [theme]="{
          width: number + '%',
          'border-radius': '0',
          height: '20px',
          'margin-bottom': '5px'
        }"
      />
    </div>
  }
</ng-template>
